Persyaratan Teknis Opsional

From Joomla! Documentation

This page is a translated version of the page Optional Technical Requirements and the translation is 100% complete.

Other languages:
অসমীয়া • ‎Deutsch • ‎English • ‎español • ‎فارسی • ‎français • ‎Bahasa Indonesia • ‎italiano • ‎Nederlands • ‎português

Persyaratan lain untuk Joomla! 3.x

Ini adalah halaman persyaratan teknis opsional yang tidak wajib dalam pemasangan dan juga dalam menjalankan Joomla! tapi wajib untuk beberapa dependensi agar dapat menjalankan API internal yang berbeda.


Aplikasi
JApplicationDaemon Memerlukan ext/pcntl dan ext/posix PHP
Arsip
BZ2 Memerlukan ext/bz2 PHP
GZip Memerlukan ext/zlib PHP
Zip Memerlukan ext/zip atau ext/zlib PHP
Cache
APC Memerlukan ext/apc PHP pada PHP 5.3 atau 5.4, ext/apcu pada PHP 5.5 atau 5.6, tidak didukung pada PHP 7.x (Catatan: INI HARUS DIPERIKSA)
APCu Memerlukan ext/apcu PHP pada PHP 5.3+
CacheLite Memerlukan PEAR Cache_Lite package (diuji pada 1.7.16, akan bekerja dengan 1.8)
Memcache Memerlukan ext/memcache PHP dan server Memcache (Catatan: ekstensi Memcache tidak kompatibel dengan PHP 7.x)
Memcached Memerlukan ext/memcached PHP dan server dengan Memcache
Redis Memerlukan ext/redis PHP dan server Redis
Wincache Memerlukan ext/wincache PHP (hanya Windows)
XCache Memerlukan ext/xcache PHP
Adaptor klien
LDAP Memerlukan ext/ldap PHP
HTTP/Curl Memerlukan ext/curl PHP
HTTP/Socket Memerlukan fungsi fsockopen() PHP yang diaktifkan
HTTP/Stream Memerlukan fungsi fopen() PHP dan allow_url_fopen yang diaktifkan
Kriptografi
JCrypt Memerlukan ext/mcrypt PHP untuk semua kode rahasia kecuali SodiumCipher yang perlu ext/sodium
JKeychain Memerlukan ext/openssl PHP
Database
Microsoft SQL Azure Memerlukan ext/sqlsrv PHP (ekstensi PHP 5.x hanya mendukung Windows, ekstensi untuk versi Linux tersedia untuk PHP 7.x)
Microsoft SQL Server Memerlukan ext/sqlsrv PHP (ekstensi PHP 5.x hanya mendukung Windows, ekstensi untuk versi Linux tersedia untuk PHP 7.x)
MySQL Memerlukan ext/mysql PHP (tidak didukung di PHP 7.x)
MySQLi Memerlukan ext/mysqli PHP
Oracle Memerlukan ext/pdo PHP dengan dukungan Oracle (tersedia hanya untuk 3PD, CMS tidak memerlukannya)
PDO MySQL Memerlukan ext/pdo PHP dengan dukungan MySQL
PostgreSQL Memerlukan ext/pgsql PHP
SQLite Memerlukan ext/pdo PHP dengan dukungan SQLite (tersedia hanya untuk 3PD, CMS tidak memerlukannya)
Gambar
Memerlukan ext/gd PHP
Sesi
APC Memerlukan ext/apc PHP pada PHP 5.3 atau 5.4, ext/apcu untuk PHP 5.5 atau 5.6, tidak didukung pada PHP 7.x (Catatan: INI HARUS DIPERIKSA)
Memcache Memerlukan ext/memcache PHP dan server Memcahce (Catatan: ekstensi Memcache tidak kompatibel dengan PHP 7.x)
Memcached Memerlukan ext/memcached PHP dan server dengan Memcache
Wincache Memerlukan ext/wincache PHP (hanya Windows)
XCache Memerlukan ext/xcache PHP
PENINGKATAN OPSIONAL
String
Aktifkan ext/mbstring PHP untuk pustaka phputf8 agar dapat menggunakan fungsi asli